Package twisted :: Package trial :: Module reporter :: Class TextReporter

[show private | hide private]
[frames | no frames]

## Class TextReporter

    Reporter --+
               |
              TextReporter

Known Subclasses:
  `VerboseTextReporter`, `TreeReporter`

Method Summary
| `__init__(self, stream)`
| `allPassed(self)` (inherited from `Reporter`)
| `getRunningTime(self)` (inherited from `Reporter`)
| `reportImportError(self, name, exc)` (inherited from `Reporter`)
| `reportResults(self, testClass, method, resultType, results)`
| `reportStart(self, testClass, method)` (inherited from `Reporter`)
| `start(self, expectedTests)` (inherited from `Reporter`)
| `stop(self)`
| `write(self, format, *args)`
| `writeln(self, format, *args)`
| `_formatError(self, flavor, (testClass, method,`
| `_statusReport(self)`

Class Variable Summary
`str` | `DOUBLE_SEPARATOR`
`str` | `SEPARATOR`

Class Variable Details

### DOUBLE_SEPARATOR

  Type:
    `str`
  Value:

        '=====================================================================\
        =========='

### SEPARATOR

  Type:
    `str`
  Value:

        '---------------------------------------------------------------------\
        ----------'

Generated by Epydoc 1.1 on Thu May 8 13:19:05 2003 | http://epydoc.sf.net